Core - Task # 40964

Status: Resolved Priority: Should have

Author: Arvid Jakobsson Category: Code Cleanup

Created: 2012-09-16 Assigned To: Arvid Jakobsson

Updated: 2012-09-17 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Superfluous brackets in sysext sysexts "css_styled_content", "extensionmanager", "extra_page_cm_options"
and "feedit" after namespaces move

Description

The following syntax appears in various parts of these extensions:

- if ((('$root && 1$DBmount) && $elFromTable) && $GLOBALS['TCA'[$table]['ctrl']['sortby']) {
+ if (I$root && !1$DBmount && $elFromTable && $GLOBALS[' TCA"|[$table]['ctrl']['sortby") {

Associated revisions

Revision 6a0863cf - 2012-09-17 21:57 - Arvid Jakobsson

[TASK] Remove superfluous parens in sysexts css_styled_content - feedit

Removes superfluous parenthesis in sysexts "css_styled_content",

"extensionmanager”, "extra_page_cm_options" and "feedit".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: 19ec62d6b2782e349cef447c7a9c87f4a4fbc2585
Resolves: #40964

Related: #40095

Reviewed-on: http:/review.typo3.org/14623

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-16 20:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14622

#2 - 2012-09-16 21:14 - Gerrit Code Review
Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14623

#3 - 2012-09-17 22:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6a0863cf335cb58f567c9¢c108d3ea8ae8482fb01.
